/*
 * $Id: bcp.h,v 1.2 2001/01/17 19:43:25 mpeppler Exp $
 *
 * bcp.h     - Perform bcp operation from one server to another.
 *
 * Copyright (C) 2001 by Michael Peppler
 *
 * Based on:
 * cmd_bcp.c - User command to bcp result set to another server.
 *
 * Copyright (C) 1995, 1996 by Scott C. Gray
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * You may contact the author :
 *   e-mail:  mpeppler@peppler.org
 *
 */

#if !defined(bcp_h_included)
#define bcp_h_included 1

#include <bkpublic.h>

#include "bcptool.h"

#if defined(BLK_VERSION_125)
#define BLK_VERSION BLK_VERSION_125
#elif defined(BLK_VERSION_120)
#define BLK_VERSION BLK_VERSION_120
#elif defined(BLK_VERSION_110)
#define BLK_VERSION BLK_VERSION_110
#else
#define BLK_VERSION BLK_VERSION_100
#endif


int
cmd_bcp (DBH *dbh, DBH *bcp, TABLE *table, char *bcp_table);


#endif /* bcp_h_included */
