/*
 * $Id: callbacks.h,v 1.2 2001/01/17 19:43:39 mpeppler Exp $
 *
 * callbacks.c   - UI handling
 *
 * Copyright (C) 2001 by Michael Peppler
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * You may contact the author :
 *   e-mail:  mpeppler@peppler.org
 *
 */


#include <gtk/gtk.h>


void
on_about_btn_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_setup_btn_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_start_btn_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_quit_btn_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_setup_apply_btn_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_setup_reset_btn_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_about_ok_btn_clicked                (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_window1_delete_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

gboolean
on_window2_delete_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

gboolean
on_dialog1_delete_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_clist1_select_row                   (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_clist2_select_row                   (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

gboolean
on_window3_delete_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_bcp_check_toggled                   (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_trunc_log_check_toggled             (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_identity_insert_check_toggled       (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

gboolean
on_window4_delete_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_table_selected_check_toggled        (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_table_apply_btn_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_table_reset_btn_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_make_selection_btn_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_clear_selection_btn_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_clist3_select_row                   (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_clist3_unselect_row                 (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_source_encrypt_btn_toggled          (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_target_encrypt_btn_toggled          (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_err_ok_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_dialog2_delete_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);
